// ---------------------------------------------
// Testprogramm fr Testboard
// ---------------------------------------------

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "usart.h"
#include "lcd_routines.h"
#include "io.h"

#define TRUE 1;
#define FALSE 0;

#ifndef F_CPU
#define F_CPU	8000000UL
#endif

int main( void )
{		
	
	// test IOs
	testIO();

	// init USART
	uart_init();

	// init LCD
	lcd_init();

	while(1)
	{

		// send string via LCD
		lcd_string("Hallo");
		
		// send string via USART
		uart_puts( "Hallo" );

	}

}
